Show membership settings
curl --request GET \
--url https://api.creditor.younegotiate.com/membership-settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/membership-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/membership-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"current_company_membership": {
"id": 123,
"company_id": 123,
"membership_id": 123,
"next_membership_plan_id": 123,
"status": "<string>",
"current_plan_start": "2023-11-07T05:31:56Z",
"current_plan_end": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"next_membership_plan": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"current_membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"price_per_day": 123,
"tier_score": 123,
"is_current": true,
"is_upgrade": true,
"is_downgrade": true,
"is_blocked_by_account_limit": true,
"new_plan_amount": 123,
"new_plan_end": "2023-11-07T05:31:56Z",
"account_limit_exceeded_message": "<string>"
},
"plans": [
{
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"price_per_day": 123,
"tier_score": 123,
"is_current": true,
"is_upgrade": true,
"is_downgrade": true,
"is_blocked_by_account_limit": true,
"new_plan_amount": 123,
"new_plan_end": "2023-11-07T05:31:56Z",
"account_limit_exceeded_message": "<string>"
}
],
"account_usage": {
"active_accounts": 123,
"upload_accounts_limit": 123,
"remaining_accounts": 123,
"accounts_over_limit": 123,
"estimated_over_limit_charge": 123
},
"rates": {
"sms_rate": 123,
"email_rate": 123,
"over_limit_price_per_account": 123
},
"flags": {
"is_last_transaction_failed": true,
"is_last_over_limit_transaction_failed": true,
"enterprise_card_available": true
},
"display_cards": [
{
"type": "membership",
"membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"price_per_day": 123,
"tier_score": 123,
"is_current": true,
"is_upgrade": true,
"is_downgrade": true,
"is_blocked_by_account_limit": true,
"new_plan_amount": 123,
"new_plan_end": "2023-11-07T05:31:56Z",
"account_limit_exceeded_message": "<string>"
}
}
],
"latest_membership_transaction": {
"id": 123,
"company_id": 123,
"membership_id": 123,
"status": "<string>",
"price": 123,
"tilled_transaction_id": "<string>",
"plan_end_date": "2023-11-07T05:31:56Z",
"partner_revenue_share": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"latest_over_limit_transaction": {
"id": 123,
"company_id": 123,
"subscription_id": 123,
"type": "<string>",
"accounts_over_limit": 123,
"price_per_account": 123,
"total_amount": 123,
"status": "<string>",
"tilled_transaction_id": "<string>",
"billing_period_start": "2023-12-25",
"billing_period_end": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"latest_membership_inquiry": {
"id": 123,
"description": "<string>",
"accounts_in_scope": 123,
"status_label": "New Inquiry",
"has_special_membership": true,
"company": {
"id": 123,
"company_name": "<string>",
"owner_full_name": "<string>",
"owner_email": "jsmith@example.com",
"owner_phone": "<string>",
"company_phone": "<string>",
"special_membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"payment_profile": {
"id": 123,
"company_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"last_four_digit": "<string>",
"expiry": "<string>",
"payment_method": "<string>",
"account_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"membership_inquiry_card": {
"available": true,
"has_pending_inquiry": true,
"created_at": "2023-11-07T05:31:56Z",
"contact_email": "help@younegotiate.com",
"contact_phone": "+13212000010"
}
},
"meta": {
"options": {
"payment_methods": [
{
"value": "<string>",
"label": "<string>"
}
],
"account_types": [
{
"value": "<string>",
"label": "<string>"
}
]
}
}
}{
"message": "<string>"
}Show membership settings
Show the authenticated creditor company’s current membership, available plan changes, billing payment method summary, account usage, configured rates, and over-limit status.
GET
/
membership-settings
Show membership settings
Last modified on July 20, 2026
Was this page helpful?
⌘I

